#pragma once
#include "idubbing_callback.h"
#include "idubbing_engine.h"

namespace DUBBING
{
    class MyDubbbingCallBack : public IDubbbingCallBack
    {
    public:
        virtual void onDownload(int percent, int index, int count) override;
        virtual void onComplete() override;
        virtual void onError() override;
        virtual void onActionResult(DubbingAction actionType, DubbingRetCode retCode, const std::string& msg) override;

        void setDubbingEngine(IDubbingEngine* engine);
        bool hasSetVoice();

    public:
        DUBBING::IDubbingEngine* m_engine = nullptr;
        bool m_hasSetVoice = false;
    };
}

